Skip to main content
`Ctrl`+`K`

# PetscLogHandlerStageGetVisible

Get the visibility of logging stage in `PetscLogHandlerView()` for a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerStageGetVisible(PetscLogHandler handler, PetscLogStage stage, PetscBool *isVisible)

Not collective

## Input Parameters

- handler - a `PetscLogHandler`

- stage - a `PetscLogStage`

## Output Parameter

- isVisible - the visibility flag, `PETSC_TRUE` to print, else `PETSC_FALSE` (defaults to `PETSC_TRUE`)

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogStageGetVisible()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling, `PetscLogHandlerStageSetVisible()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerStageGetVisible_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages